#ifndef MATLABREADER_H
#define MATLABREADER_H

#include <string>
#include "Matrix.h"

#include <matio.h>

class MatlabReader
{
public:
    
    explicit MatlabReader(const std::string& aFilePath);
    ~MatlabReader();
    std::vector<Aurora::Matrix> read4d(const std::string& aFieldName);
    Aurora::Matrix read(const std::string& aFieldName);
    std::shared_ptr<short> readint16(const std::string& aFieldName,size_t& size);


private:
    mat_t* mMatFile;
};


#endif // MATLABREADER_H
